//
//  KsEco.h
//  KsIMSDK
//
//  Created by kst on 2019/10/24.
//  Copyright © 2019 wanglingxin. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "KsEcg.h"
@class KsEco;
@protocol KsEco <NSObject>
@end
@interface KsEco : NSObject

@property(nonatomic, copy) NSString *orderNo;
@property(nonatomic, copy)  NSString *addTime;
@property(nonatomic, copy) NSString *recName;
@property(nonatomic, copy)  NSString *recAddress;
@property(nonatomic, copy)  NSString *recPhone;
@property(nonatomic, copy)  NSString *payWay;
@property(nonatomic, copy)  NSString *payTime;
@property(nonatomic, copy)  NSString *distributeWay;
@property(nonatomic, copy)  NSString *status;
@property(nonatomic, copy)  NSString *remark;
@property(nonatomic, copy)  NSArray *goods;
@property(nonatomic, copy)  NSString *terminalType;
@property(nonatomic, copy)  NSString *totalPrice;


-(id)initWithName:(NSString *)orderNo addTime:(NSString *)addTime recName:(NSString *)recName recAddress:(NSString *)recAddress recPhone:(NSString*)recPhone payWay:(NSString*)payWay payTime:(NSString *)payTime distributeWay:(NSString *)distributeWay status:(NSString *)status remark:(NSString *)remark goods:(NSArray *)goods terminalType:(NSString *)terminalType totalPrice:(NSString *)totalPrice;

- (NSString*)getOrderNo;

- (NSString*)getAddTime;

- (NSString*)getRecName;

- (NSString*)getRecAddress;

- (NSString*)getRecPhone;

- (NSString*)getPayWay;

- (NSString*)getPayTime;

- (NSString*)getDistributeWay;

- (NSString*)getStatus;

- (NSString*)getRemark;

- (NSArray*)getGoods;

- (NSString*)getTerminalType;

- (NSString*)getTotalPrice;


-(void)setOrderNo:(NSString*)orderNo;

-(void)setAddTime:(NSString*)addTime;

-(void)setRecName:(NSString*)recName;

-(void)setRecAddress:(NSString*)recAddress;

-(void)setRecPhone:(NSString*)recPhone;

-(void)setPayWay:(NSString*)payWay;

-(void)setPayTime:(NSString*)payTime;

-(void)setDistributeWay:(NSString*)distributeWay;

-(void)setStatus:(NSString*)status;

-(void)setRemark:(NSString*)remark;

-(void)setGoods:(NSArray*)goods;

-(void)setTerminalType:(NSString*)terminalType;

-(void)setTotalPrice:(NSString*)totalPrice;


-(NSString *)getJSONString;

- (id)initWithDict:(NSDictionary *)aDict;

@end
